version: '3'
services:
  register-center:
    image: 192.168.2.125:4490/emrais.debug/register-center:latest
    container_name: emrais.register-center
    ports:
      - 6751:6751
    environment:
      - TZ=Asia/Shanghai
      - monitor-addr=monitor-service
      - monitor-port=9985
      - monitor-username=admin
      - monitor-password=lantone
      - log-level=debug
    volumes:
      - /logs:/logs
      - /etc/localtime:/etc/localtime
    restart: always
    command: ["java", "-jar", "-Xms256m", "-Xmx1024m", "/app.jar"]
  config-center:
    image: 192.168.2.125:4490/emrais.debug/config-center:latest
    container_name: emrais.config-center
    ports:
      - 7751:7751
    environment:
      - TZ=Asia/Shanghai
      - eureka-addr=register-center
      - eureka-port=6751
      - log-level=debug
    volumes:
      - /logs:/logs
      - /etc/localtime:/etc/localtime
    restart: always
    depends_on:
      - register-center
    command: ["/wait-for-it.sh", "-t", "6000", "register-center:6751", "--", "java", "-jar", "-Xms256m", "-Xmx1024m", "/app.jar"]
  monitor-service:
    image: 192.168.2.125:4490/emrais.debug/monitor-service:latest
    container_name: emrais.monitor-service
    ports:
      - 9985:9985
    environment:
      - TZ=Asia/Shanghai
      - eureka-addr=register-center
      - eureka-port=6751
      - log-level=debug
    volumes:
      - /logs:/logs
      - /etc/localtime:/etc/localtime
    restart: always
    depends_on:
      - register-center
    command: ["/wait-for-it.sh", "-t", "6000", "register-center:6751", "--", "java", "-jar", "-Xms256m", "-Xmx1024m", "/app.jar"]
  security-center:
    image: 192.168.2.125:4490/emrais.debug/security-center:latest
    container_name: emrais.security-center
    ports:
      - 8849:8849
    environment:
      - TZ=Asia/Shanghai
      - eureka-addr=register-center
      - eureka-port=6751
      - spring.profiles.active=debug
      - log-level=debug
      - jasypt.encryptor.password=${JASYPT_PWD_PUBLIC}
    volumes:
      - /logs:/logs
      - /etc/localtime:/etc/localtime
    restart: always
    depends_on:
      - register-center
      - config-center
    command: ["/wait-for-it.sh", "-t", "6000", "config-center:7751", "--", "java", "-jar", "-Xms256m", "-Xmx1024m", "/app.jar"]
  user-auth:
    image: 192.168.2.125:4490/emrais.debug/user-auth:latest
    container_name: emrais.user-auth
    ports:
      - 8869:8869
    environment:
      - TZ=Asia/Shanghai
      - eureka-addr=register-center
      - eureka-port=6751
      - log-level=debug
    volumes:
      - /logs:/logs
      - /etc/localtime:/etc/localtime
    restart: always
    depends_on:
      - register-center
    command: ["/wait-for-it.sh", "-t", "6000", "register-center:6751", "--", "java", "-jar", "-Xms256m", "-Xmx1024m", "/app.jar"]
  message-service:
    image: 192.168.2.125:4490/emrais.debug/message-service:latest
    container_name: emrais.message-service
    ports:
      - 8879:8879
    environment:
      - TZ=Asia/Shanghai
      - eureka-addr=register-center
      - eureka-port=6751
      - spring.profiles.active=debug
      - log-level=debug
      - jasypt.encryptor.password=${JASYPT_PWD_PUBLIC}
    volumes:
      - /logs:/logs
      - /etc/localtime:/etc/localtime
    restart: always
    depends_on:
      - register-center
      - config-center
    command: ["/wait-for-it.sh", "-t", "6000", "config-center:7751", "--", "java", "-jar", "-Xms256m", "-Xmx1024m", "/app.jar"]
  report-service:
    image: 192.168.2.125:4490/emrais.debug/report-service:latest
    container_name: emrais.report-service
    ports:
      - 8889:8889
    environment:
      - TZ=Asia/Shanghai
      - eureka-addr=register-center
      - eureka-port=6751
      - spring.profiles.active=debug
      - log-level=debug
      - jasypt.encryptor.password=${JASYPT_PWD_REPORT_SERVICE}
    volumes:
      - /logs:/logs
      - /etc/localtime:/etc/localtime
    restart: always
    depends_on:
      - register-center
      - config-center
    command: ["/wait-for-it.sh", "-t", "6000", "config-center:7751", "--", "java", "-jar", "-Xms256m", "-Xmx1024m", "/app.jar"]
  daqe-center:
    image: 192.168.2.125:4490/emrais.debug/daqe-center:latest
    container_name: emrais.daqe-center
    ports:
      - 8839:8839
    environment:
      - TZ=Asia/Shanghai
      - eureka-addr=register-center
      - eureka-port=6751
      - spring.profiles.active=debug
      - log-level=debug
      - jasypt.encryptor.password=${JASYPT_PWD_PUBLIC}
    volumes:
      - /logs:/logs
      - /etc/localtime:/etc/localtime
    restart: always
    depends_on:
      - register-center
      - config-center
    command: ["/wait-for-it.sh", "-t", "6000", "config-center:7751", "--", "java", "-jar", "-Xms256m", "-Xmx1024m", "/app.jar"]
  mdsp-service:
    image: 192.168.2.125:4490/emrais.debug/mdsp-service:latest
    container_name: emrais.mdsp-service
    ports:
      - 8809:8809
    environment:
      - TZ=Asia/Shanghai
      - eureka-addr=register-center
      - eureka-port=6751
      - spring.profiles.active=debug
      - log-level=debug
      - jasypt.encryptor.password=${JASYPT_PWD_PUBLIC}
    volumes:
      - /logs:/logs
      - /etc/localtime:/etc/localtime
    restart: always
    depends_on:
      - register-center
      - config-center
    command: ["/wait-for-it.sh", "-t", "6000", "config-center:7751", "--", "java", "-jar", "-Xms256m", "-Xmx1024m", "/app.jar"]
  structure-center:
    image: 192.168.2.125:4490/emrais.debug/structure-center:latest
    container_name: emrais.structure-center
    ports:
      - 8859:8859
    environment:
      - TZ=Asia/Shanghai
      - eureka-addr=register-center
      - eureka-port=6751
      - spring.profiles.active=debug
      - log-level=debug
      - jasypt.encryptor.password=${JASYPT_PWD_PUBLIC}
    volumes:
      - /logs:/logs
      - /etc/localtime:/etc/localtime
    restart: always
    depends_on:
      - register-center
      - config-center
    command: ["/wait-for-it.sh", "-t", "6000", "config-center:7751", "--", "java", "-jar", "-Xms256m", "-Xmx1024m", "/app.jar"]
  gateway-service:
    image: 192.168.2.125:4490/emrais.debug/gateway-service:latest
    container_name: emrais.gateway-service
    ports:
      - 8871:8871
    environment:
      - TZ=Asia/Shanghai
      - eureka-addr=register-center
      - eureka-port=6751
      - gateway-addr=gateway-service
      - gateway-port=8871
      - spring.profiles.active=debug
      - log-level=debug
      - jasypt.encryptor.password=${JASYPT_PWD_PUBLIC}
    volumes:
      - /logs:/logs
      - /etc/localtime:/etc/localtime
    restart: always
    depends_on:
      - register-center
      - config-center
    command: ["/wait-for-it.sh", "-t", "6000", "config-center:7751", "--", "java", "-jar", "-Xms256m", "-Xmx1024m", "/app.jar"]